## grendel.mime
Interface IMimeParser

public abstract interface IMimeParser

This is an interface for streaming parsing of MIME data.

See Also:
  `MimeParserFactory`, `IMimeOperator`, `IMimeObject`

Method Summary
`IMimeObject` | `getObject()` Returns a corresponding object implementing the IMimeObject interface.
`void` | `pushBytes(ByteBuf buffer)` Feed bytes to be parsed into the parser.
`void` | `pushEOF()` Inform the parser that no more bytes will be forthcoming.
`void` | `setOperator(IMimeOperator op)` Set the IMimeOperator associated with this parser.

Method Detail

### setOperator

    public void setOperator(IMimeOperator op)

  Set the IMimeOperator associated with this parser. Since the parsers and operators both need access to each other, one will create a parser, then create an operator for it, then point the parser at the operator using this method. It is an error to try and change the operator once it has already been set.

### pushBytes

    public void pushBytes(ByteBuf buffer)

  Feed bytes to be parsed into the parser.

### pushEOF

    public void pushEOF()

  Inform the parser that no more bytes will be forthcoming.

### getObject

    public IMimeObject getObject()

  Returns a corresponding object implementing the IMimeObject interface. This will very likely be the same object.